#include<iostream>
using namespace std;
int b[2000010];
int main(){
	int n, k, a;
  cin>>n>>k;
  int bp=0;
	for(int i=0; i<n; i++){
		int a;
		cin>>a;
    a=a+n;
		b[a]=b[a]+1;
	}
	for(int i=0; i<=2*n; i++){
		if(b[i]>=k)bp=bp+1;
	}
  cout<<bp<<endl;
	for(int i=0; i<=2*n; i++){
		if(b[i]>=k) cout<<i-n<<" ";
	}
	return 0;
}